image: maven:3-jdk-7

before_script:
  - apt-get update
  - apt-get install -y build-essential libpython-dev

build:
  script:
    - sed -i 's/git@gitlab.com:rizon\/pyva/https:\/\/gitlab.com\/rizon\/pyva.git/' .gitmodules
    - git submodule init && git submodule update
    - cp pyva/libpyva/pyva-native/make.example.properties pyva/libpyva/pyva-native/make.properties
    - mvn -B test
    - find pyva/pyva/src/main/python/ -name "*.py" -print0 | xargs -0 -n1 -I'{}' python -m py_compile {}
